version: "3.4"

services:
  postgres:
    image: docker.io/library/postgres:16.1
    environment:
      - PGDATA=/var/lib/postgresql/data/pgdata
      - POSTGRES_USER=lenpaste
      - POSTGRES_PASSWORD=pass
    volumes:
      - "${PWD}/data/postgres:/var/lib/postgresql/data"

  lenpaste:
    image: ghcr.io/lcomrade/lenpaste:1.3.1
    restart: on-failure:10
    environment:
      - LENPASTE_DB_DRIVER=postgres
      - LENPASTE_DB_SOURCE=postgres://lenpaste:lenpaste@10.0.6.178/lenpaste?sslmode=disable
    #postgresql://[user[:password]@][netloc][:port][/dbname][?param1=value1&...]
    volumes:
      - "${PWD}/data:/data"
    ports:
      - "58080:80"
    depends_on:
      - postgres